Bug 131176 - ACM USB Modem - cdc-acm.c - Ignoring extra header
ACM USB Modem - cdc-acm.c - Ignoring extra header
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-28 04:48 EDT by Tomas Dobrovolny
Modified: 2015-01-04 17:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Dobrovolny 2004-08-28 04:48:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
On kernel 2.6.7 and up on i586 (Intel 586), i686 (Celeron) is not
working acm usb modem. After plug-in usb cable, kernel answers:

kernel: usb 1-2: new full speed USB device using address 4
kernel: drivers/usb/class/cdc-acm.c: Ignoring extra header
kernel: cdc_acm 1-2:1.0: ttyACM0: USB ACM device
kernel: usbcore: registered new driver cdc_acm
kernel: drivers/usb/class/cdc-acm.c: v0.23:USB Abstract Control Model
driver for USB modems and ISDN adapters

Problem is "Ignoring extra header" - after that is not possible to
communicate with device (via chat) and init ppp connection.

Device is not answering to any AT commands

On kernel 2.6.6 up to 1.435.2.3, kernel answers (same PCs):

kernel: usb 1-2: new full speed USB device using address 3
kernel: cdc_acm 1-2:1.0: ttyACM0: USB ACM device
kernel: usbcore: registered new driver cdc_acm
kernel: drivers/usb/class/cdc-acm.c: v0.23:USB Abstract Control Model
driver for USB modems and ISDN adapters

and communication is working without problems.


Version-Release number of selected component (if applicable):
kernel-2.6.7-* and up

How reproducible:
Always

Steps to Reproduce:
1. plug USB cable
2. see log - "kernel: drivers/usb/class/cdc-acm.c: Ignoring extra header"
3. initialize ppp connection (on my operator ATD#777, wait for connect)


Actual Results:  Chat script did not receive any answer from device
(chat script failed). Device not indicate any communication with PC.

Expected Results:  CONNECT answer from device

Additional info:

The same bug appears on i586 (Intel 586), but on AMD64 works on all
kernels OK.
Comment 1 Avi Alkalay 2004-09-07 12:04:25 EDT
Exactly the same for me, on FC2 Kernel 2.6.8.
Comment 2 Doug Palmer 2004-09-29 22:20:27 EDT
Same here using a D-Link DSB 560 modem on kernels 2.6.7 and 2.6.8.1.

The modem is visible using lsusb and in /proc/bus/usb/devices, but
/dev/input/ttyACM0 is not bound.
Comment 3 Dave Jones 2005-04-16 00:20:53 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 4 Avi Alkalay 2005-07-15 14:29:54 EDT
On Red Hat Enterprise 4, latest kernel, this problem still happens with the
"extra header message".

Note You need to log in before you can comment on or make changes to this bug.